package br.com.codetec.saudesabor.convert;

import java.util.ArrayList;
import java.util.List;

import br.com.codetec.saudesabor.model.Itens;
import br.com.codetec.saudesabor.model.Produto;

public class ItensConvert {
    public List<Itens> convertListProdutoToItens(ArrayList<Produto> listaProdutos) {
        List<Itens> itens = new ArrayList<>();
        for (Produto prod : listaProdutos) {
            Itens item = new Itens();
            item.setOrder_id("0");
            item.setProduct_id(prod.getProduct_id());
//            item.setModel("product_id="+prod.getProduct_id());
            item.setPrice(prod.getValor());
            item.setTotal(prod.getValor());
            item.setQuantity(prod.getQuantity());
            item.setTax("0.0000");
            item.setReward("0");
            itens.add(item);
        }
        return itens;
    }
}
